% This module provides the "signature" for the primitive goal
% structure for simple, first-order (object) logic.
% Includes proof structures representing natural deduction proofs, NJ or NK.

module ndgoal.

import  goals nprf.

kind    judg    type.

type    #       nprf -> form -> judg.
type    -->     (list judg) -> judg -> goal.

infix   #       4.
infixl  -->     3.
