module mapcopy.

import  goals.

type    mapcopy         (goal -> goal -> goal -> goal -> o) ->
                          goal -> goal -> goal -> goal -> o.

mapcopy Tac GGoal GGoal tt tt.
mapcopy Tac tt tt TGoal TGoal.

mapcopy Tac (GInGoal1 && GInGoal2) (GOutGoal1 && GOutGoal2)
            (TInGoal1 && TInGoal2) (TOutGoal1 && TOutGoal2) :-
   mapcopy Tac GInGoal1 GOutGoal1 TInGoal1 TOutGoal1,
   mapcopy Tac GInGoal2 GOutGoal2 TInGoal2 TOutGoal2.

mapcopy Tac (all Param GInGoal) (all Param GOutGoal) TInGoal TOutGoal :-
   pi X\ (mapcopy Tac (GInGoal X) (GOutGoal X) TInGoal TOutGoal).

mapcopy Tac GInGoal GOutGoal (all Param TInGoal) (all Param TOutGoal) :-
   pi X\ (mapcopy Tac GInGoal GOutGoal (TInGoal X) (TOutGoal X)).

mapcopy Tac GInGoal GOutGoal TInGoal TOutGoal :-
   Tac GInGoal GOutGoal TInGoal TOutGoal.
