module st.

kind    tm      type.
kind    ty      type.

type    abs     (tm -> tm) -> tm.
type    app     tm -> tm -> tm.
type    -->     ty -> ty -> ty.
type    #t      tm -> ty -> o.

infix   -->     4.
infix   #t      3.

(abs M) #t (R --> S) :- pi X\ ((X #t R) => ((M X) #t S)).
(app M N) #t S :- M #t (R --> S), N #t R.
